## r-cran-tibble 1.4.1

=== DESCRIPTION ===
Package: tibble
Encoding: UTF-8
Version: 1.4.1
Title: Simple Data Frames
Description: Provides a 'tbl_df' class (the 'tibble') that provides
    stricter checking and better formatting than the traditional data frame.
Authors@R: c(
    person("Kirill", "Müller", , "krlmlr+r@mailbox.org", c("aut", "cre")),
    person("Hadley", "Wickham", , "hadley@rstudio.com", "aut"),
    person("Romain", "Francois", , "romain@r-enthusiasts.com", "ctb"),
    person("RStudio", role = "cph")
    )
URL: http://tibble.tidyverse.org/, https://github.com/tidyverse/tibble
BugReports: https://github.com/tidyverse/tibble/issues
Depends: R (>= 3.1.0)
Imports: crayon, methods, pillar, rlang, utils
Suggests: covr, dplyr, import, knitr (>= 1.5.32), microbenchmark,
        mockr, nycflights13, testthat, rmarkdown, withr
LazyData: yes
License: MIT + file LICENSE
RoxygenNote: 6.0.1
VignetteBuilder: knitr
Collate: 'add.R' 'as_tibble.R' 'check-names.R' 'compat-lazyeval.R'
        'compat-purrr.R' 'enframe.R' 'exports.R' 'glimpse.R'
        'has-name.R' 'tibble.R' 'lst.R' 'new.R' 'repair-names.R'
        'rownames.R' 'strrep.R' 'tbl-df.r' 'tibble-pkg.R' 'tribble.R'
        'type-sum.r' 'utils-format.r' 'utils.r' 'wrap.R'
NeedsCompilation: yes
Packaged: 2017-12-24 15:05:17 UTC; muelleki
Author: Kirill Müller [aut, cre],
  Hadley Wickham [aut],
  Romain Francois [ctb],
  RStudio [cph]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2017-12-25 23:02:26 UTC

## r-cran-tibble 1.1

=== debian/changelog ===
r-cran-tibble (1.1-1) unstable; urgency=medium

  * Initial release (Closes: #832005)

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jul 2016 11:22:50 +0200

=== debian/control ===
Source: r-cran-tibble
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-assertthat,
               r-cran-lazyeval,
               r-cran-rcpp
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-tibble/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-tibble/trunk/
Homepage: https://cran.r-project.org/web/packages/tibble/

Package: r-cran-tibble
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${R:Depends},
         r-cran-assertthat,
         r-cran-lazyeval,
         r-cran-rcpp
Description: GNU R Simple Data Frames
 This GNU R package provides a 'tbl_df' class that offers better checking
 and printing capabilities than traditional data frames.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/tibble_([-0-9\.]*)\.tar\.(gz|bz2|xz)

## r-cran-tibble 1.2

=== debian/changelog ===
r-cran-tibble (1.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Tue, 06 Jun 2017 20:38:38 +0200

r-cran-tibble (1.2-1) unstable; urgency=medium

  * New upstream version
  * Fixed watch file
  * Adjusted Test depends (thanks to Gordon Ball)
  * Convert to dh-r
  * Canonical homepage for CRAN
  * d/watch: version=4
  * fix autopkgtest

 -- Andreas Tille <tille@debian.org>  Thu, 10 Nov 2016 11:03:33 +0100

=== debian/control ===
Source: r-cran-tibble
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-r,
               r-base-dev,
               r-cran-assertthat,
               r-cran-lazyeval,
               r-cran-rcpp
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-tibble/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-tibble/trunk/
Homepage: https://cran.r-project.org/package=tibble

Package: r-cran-tibble
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Simple Data Frames
 This GNU R package provides a 'tbl_df' class that offers better checking
 and printing capabilities than traditional data frames.

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/tibble_([-0-9\.]*)\.tar\.(?:gz|bz2|xz)

## r-cran-tibble 1.4.1

=== debian/changelog ===
r-cran-tibble (1.4.1-1ubuntu1) bionic; urgency=medium

  * Skip tests requiring mockr (Closes: #888417)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 05 Feb 2018 09:55:53 +0000

r-cran-tibble (1.4.1-1) unstable; urgency=medium

  [ Graham Inggs ]
  * Add test Depends: r-cran-dplyr
                      r-cran-withr
  * Enable withr now that it is available

  [ Andreas Tille ]
  * New upstream version
  * debhelper 11
  * Standards-Version: 4.1.3
  * New Build-Depends: r-cran-crayon, r-cran-pillar
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jan 2018 14:03:42 +0100

r-cran-tibble (1.3.4-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Sat, 30 Sep 2017 12:28:59 +0200

=== debian/control ===
Source: r-cran-tibble
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-r,
               r-base-dev,
               r-cran-assertthat,
               r-cran-lazyeval,
               r-cran-rcpp,
               r-cran-rlang,
               r-cran-crayon,
               r-cran-pillar
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/git/debian-med/r-cran-tibble.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-tibble.git
Homepage: https://cran.r-project.org/package=tibble

Package: r-cran-tibble
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Simple Data Frames
 This GNU R package provides a 'tbl_df' class that offers better checking
 and printing capabilities than traditional data frames.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-data.table, r-cran-rsqlite, r-cran-knitr, r-cran-dplyr, r-cran-withr
Restrictions: allow-stderr

## r-cran-tibble 1.4.2

=== debian/changelog ===
r-cran-tibble (1.4.2-3) unstable; urgency=medium

  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 19 Jun 2018 23:07:30 +0200

r-cran-tibble (1.4.2-2) unstable; urgency=medium

  * Add r-cran-mockr to debian/tests/control
    Closes: #888417

 -- Andreas Tille <tille@debian.org>  Wed, 28 Mar 2018 22:41:36 +0200

r-cran-tibble (1.4.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 16 Mar 2018 09:40:58 +0100

=== debian/control ===
Source: r-cran-tibble
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-cli,
               r-cran-crayon,
               r-cran-pillar (>= 1.1.0),
               r-cran-rlang
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tibble
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tibble.git
Homepage: https://cran.r-project.org/package=tibble

Package: r-cran-tibble
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Simple Data Frames
 This GNU R package provides a 'tbl_df' class that offers better checking
 and printing capabilities than traditional data frames.

## r-cran-tibble 2.0.1

=== debian/changelog ===
r-cran-tibble (2.0.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Wed, 16 Jan 2019 10:48:41 +0100

r-cran-tibble (2.0.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Tue, 08 Jan 2019 10:53:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
-               r-cran-cli,
-               r-cran-crayon,
-               r-cran-pillar (>= 1.1.0),
-               r-cran-rlang
-Standards-Version: 4.1.4
+               r-cran-cli (>= 1.0.1),
+               r-cran-crayon (>= 1.3.4),
+               r-cran-fansi,
+               r-cran-pillar (>= 1.3.1),
+               r-cran-pkgconfig (>= 2.0.2),
+               r-cran-rlang (>= 0.3.1)
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tibble
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tibble.git
 Homepage: https://cran.r-project.org/package=tibble

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-data.table, r-cran-rsqlite, r-cran-knitr, r-cran-dplyr, r-cran-withr, r-cran-mockr
Restrictions: allow-stderr

## r-cran-tibble 2.1.3

=== DESCRIPTION ===
Package: tibble
Title: Simple Data Frames
Version: 2.1.3
Authors@R: c(
    person("Kirill", "Müller", , "krlmlr+r@mailbox.org", c("aut", "cre")),
    person("Hadley", "Wickham", , "hadley@rstudio.com", "aut"),
    person("Romain", "Francois", , "romain@r-enthusiasts.com", "ctb"),
    person("Jennifer", "Bryan", , "jenny@rstudio.com", "ctb"),
    person("RStudio", role = "cph")
    )
Description: Provides a 'tbl_df' class (the 'tibble') that provides
    stricter checking and better formatting than the traditional data frame.
License: MIT + file LICENSE
URL: http://tibble.tidyverse.org/, https://github.com/tidyverse/tibble
BugReports: https://github.com/tidyverse/tibble/issues
Depends: R (>= 3.1.0)
Imports: cli, crayon (>= 1.3.4), fansi (>= 0.4.0), methods, pillar (>=
        1.3.1), pkgconfig, rlang (>= 0.3.0), utils
Suggests: bench, covr, dplyr, htmltools, import, knitr, mockr,
        nycflights13, rmarkdown, testthat, withr
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: yes
RoxygenNote: 6.1.1
Collate: 'add.R' 'as_tibble.R' 'check-names.R' 'compat-lazyeval.R'
        'compat-lifecycle.R' 'compat-name-repair.R' 'compat-purrr.R'
        'tribble.R' 'deprecated.R' 'enframe.R' 'exports.R' 'glimpse.R'
        'has-name.R' 'lst.R' 'msg-format.R' 'msg.R' 'new.R'
        'repair-names.R' 'rownames.R' 'strrep.R' 'subsetting.R'
        'tbl-df.r' 'tibble-package.R' 'tibble.R' 'type-sum.r'
        'utils-format.r' 'utils.r' 'view.R' 'wrap.R' 'zzz.R'
NeedsCompilation: yes
Packaged: 2019-06-06 12:40:47 UTC; kirill
Author: Kirill Müller [aut, cre],
  Hadley Wickham [aut],
  Romain Francois [ctb],
  Jennifer Bryan [ctb],
  RStudio [cph]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2019-06-06 13:40:03 UTC

=== debian/changelog ===
r-cran-tibble (2.1.3-2) unstable; urgency=medium

  * Team upload.
  * Add versioned dependency on r-cran-pillar to hopefully address
    autopkgtest failures (Closes: #939062)

 -- Gordon Ball <gordon@chronitis.net>  Tue, 31 Dec 2019 21:24:25 +0000

r-cran-tibble (2.1.3-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * Enhance long description

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jul 2019 21:20:26 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
-               r-cran-cli (>= 1.0.1),
+               r-cran-cli,
                r-cran-crayon (>= 1.3.4),
                r-cran-fansi,
-               r-cran-pillar (>= 1.3.1),
-               r-cran-pkgconfig (>= 2.0.2),
-               r-cran-rlang (>= 0.3.1)
+               r-cran-pillar (>= 1.4),
+               r-cran-pkgconfig,
+               r-cran-rlang
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tibble
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tibble.git
@@ -27,3 +27,7 @@
 Description: GNU R Simple Data Frames
  This GNU R package provides a 'tbl_df' class that offers better checking
  and printing capabilities than traditional data frames.
+ .
+ Tibbles are a modern take on data frames. They keep the features that have
+ stood the test of time, and drop the features that used to be convenient but
+ are now frustrating (i.e. converting character vectors to factors).

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/tibble_([-0-9\.]*)\.tar\.(?:gz|bz2|xz)

## r-cran-tibble 3.0.3

=== debian/changelog ===
r-cran-tibble (3.0.3-2) unstable; urgency=medium

  * Team upload

  [ Lucas Kanashiro ]
  * Fix autopkgtest failure.
    - d/t/control: add dependency on r-cran-lubridate.
    - d/p/disable-formattable-test.patch: formattable is a new test dependency
      and it is not available in the archive.
    Closes: #970001

  [ Andreas Tille ]
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Lucas Kanashiro <kanashiro@debian.org>  Wed, 09 Sep 2020 16:54:54 -0300

r-cran-tibble (3.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 16 Jul 2020 09:45:01 +0200

r-cran-tibble (3.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Tue, 21 Apr 2020 22:09:45 +0200

r-cran-tibble (3.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 05 Apr 2020 18:54:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,26 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-cli,
                r-cran-crayon (>= 1.3.4),
+               r-cran-ellipsis,
                r-cran-fansi,
-               r-cran-pillar (>= 1.4),
+               r-cran-lifecycle,
+               r-cran-magrittr,
+               r-cran-pillar (>= 1.4.3),
                r-cran-pkgconfig,
-               r-cran-rlang
-Standards-Version: 4.3.0
+               r-cran-rlang (>= 0.4.3),
+               r-cran-vctrs
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tibble
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tibble.git
 Homepage: https://cran.r-project.org/package=tibble
+Rules-Requires-Root: no
 
 Package: r-cran-tibble
 Architecture: any

## r-cran-tibble 3.0.6+dfsg

=== DESCRIPTION ===
Package: tibble
Title: Simple Data Frames
Version: 3.0.6
Authors@R: 
    c(person(given = "Kirill",
             family = "M\u00fcller",
             role = c("aut", "cre"),
             email = "krlmlr+r@mailbox.org"),
      person(given = "Hadley",
             family = "Wickham",
             role = "aut",
             email = "hadley@rstudio.com"),
      person(given = "Romain",
             family = "Francois",
             role = "ctb",
             email = "romain@r-enthusiasts.com"),
      person(given = "Jennifer",
             family = "Bryan",
             role = "ctb",
             email = "jenny@rstudio.com"),
      person(given = "RStudio",
             role = "cph"))
Description: Provides a 'tbl_df' class (the 'tibble') that
    provides stricter checking and better formatting than the traditional
    data frame.
License: MIT + file LICENSE
URL: https://tibble.tidyverse.org/, https://github.com/tidyverse/tibble
BugReports: https://github.com/tidyverse/tibble/issues
Depends: R (>= 3.1.0)
Imports: cli, crayon (>= 1.3.4), ellipsis (>= 0.2.0), fansi (>= 0.4.0),
        lifecycle (>= 0.2.0), magrittr, methods, pillar (>= 1.4.3),
        pkgconfig, rlang (>= 0.4.3), utils, vctrs (>= 0.3.2)
Suggests: bench, bit64, blob, covr, DiagrammeR, dplyr, evaluate,
        formattable, ggplot2, hms, htmltools, import, knitr, lubridate,
        mockr, nycflights13, purrr, rmarkdown, testthat (>= 3.0.1),
        tidyr, withr
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: yes
RoxygenNote: 7.1.1.9000
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/testthat/start-first: subsetting, as_tibble, add
NeedsCompilation: yes
Packaged: 2021-01-28 16:53:19 UTC; kirill
Author: Kirill Müller [aut, cre],
  Hadley Wickham [aut],
  Romain Francois [ctb],
  Jennifer Bryan [ctb],
  RStudio [cph]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2021-01-29 10:20:02 UTC

=== debian/changelog ===
r-cran-tibble (3.0.6+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 02 Feb 2021 14:31:29 +0100

r-cran-tibble (3.0.5+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Mon, 25 Jan 2021 10:52:58 +0100

r-cran-tibble (3.0.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 14 Oct 2020 11:25:37 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                r-cran-pkgconfig,
                r-cran-rlang (>= 0.4.3),
                r-cran-vctrs
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tibble
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tibble.git
 Homepage: https://cran.r-project.org/package=tibble

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-data.table, r-cran-rsqlite, r-cran-knitr, r-cran-dplyr, r-cran-withr, r-cran-mockr, r-cran-lubridate
Restrictions: allow-stderr

## r-cran-tibble 3.1.6+dfsg

=== DESCRIPTION ===
Package: tibble
Title: Simple Data Frames
Version: 3.1.6
Authors@R: 
    c(person(given = "Kirill",
             family = "M\u00fcller",
             role = c("aut", "cre"),
             email = "krlmlr+r@mailbox.org"),
      person(given = "Hadley",
             family = "Wickham",
             role = "aut",
             email = "hadley@rstudio.com"),
      person(given = "Romain",
             family = "Francois",
             role = "ctb",
             email = "romain@r-enthusiasts.com"),
      person(given = "Jennifer",
             family = "Bryan",
             role = "ctb",
             email = "jenny@rstudio.com"),
      person(given = "RStudio",
             role = "cph"))
Description: Provides a 'tbl_df' class (the 'tibble') with stricter checking and better formatting than the traditional
    data frame.
License: MIT + file LICENSE
URL: https://tibble.tidyverse.org/, https://github.com/tidyverse/tibble
BugReports: https://github.com/tidyverse/tibble/issues
Depends: R (>= 3.1.0)
Imports: ellipsis (>= 0.3.2), fansi (>= 0.4.0), lifecycle (>= 1.0.0),
        magrittr, methods, pillar (>= 1.6.2), pkgconfig, rlang (>=
        0.4.3), utils, vctrs (>= 0.3.8)
Suggests: bench, bit64, blob, brio, callr, cli, covr, crayon (>=
        1.3.4), DiagrammeR, dplyr, evaluate, formattable, ggplot2, hms,
        htmltools, knitr, lubridate, mockr, nycflights13, pkgbuild,
        pkgload, purrr, rmarkdown, stringi, testthat (>= 3.0.2), tidyr,
        withr
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.1.2
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/testthat/start-first: subsetting, as_tibble, add, invariants
NeedsCompilation: yes
Packaged: 2021-10-25 10:17:47 UTC; kirill
Author: Kirill Müller [aut, cre],
  Hadley Wickham [aut],
  Romain Francois [ctb],
  Jennifer Bryan [ctb],
  RStudio [cph]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2021-11-07 17:30:02 UTC

=== debian/changelog ===
r-cran-tibble (3.1.6+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 3.1.6+dfsg
  * d/copyright: s/MIT/Expat/

 -- Nilesh Patra <nilesh@debian.org>  Wed, 10 Nov 2021 23:56:01 +0530

r-cran-tibble (3.1.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * d/salsa-ci.yml: Disable reprotest

 -- Nilesh Patra <nilesh@debian.org>  Sat, 09 Oct 2021 13:10:26 +0530

r-cran-tibble (3.1.4+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * d/t/control: Tighten test-dep on dplyr to ease testing migration

 -- Nilesh Patra <nilesh@debian.org>  Thu, 30 Sep 2021 19:22:54 +0530

r-cran-tibble (3.1.4+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 21 Sep 2021 18:13:48 +0530

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,15 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-cli,
-               r-cran-crayon (>= 1.3.4),
-               r-cran-ellipsis,
+               r-cran-ellipsis (>= 0.3.2),
                r-cran-fansi,
-               r-cran-lifecycle,
+               r-cran-lifecycle (>= 1.0.0),
                r-cran-magrittr,
-               r-cran-pillar (>= 1.4.3),
+               r-cran-pillar (>= 1.6.2),
                r-cran-pkgconfig,
                r-cran-rlang (>= 0.4.3),
-               r-cran-vctrs
-Standards-Version: 4.5.1
+               r-cran-vctrs (>= 0.3.8)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tibble
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tibble.git
 Homepage: https://cran.r-project.org/package=tibble

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-data.table, r-cran-rsqlite, r-cran-knitr, r-cran-dplyr (>= 1.0.7-1~), r-cran-withr, r-cran-mockr, r-cran-lubridate
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/tibble_([-0-9\.]*)\.tar\.(?:gz|bz2|xz)

## r-cran-tibble 3.1.8+dfsg

=== debian/changelog ===
r-cran-tibble (3.1.8+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 25 Jul 2022 20:46:01 +0200

r-cran-tibble (3.1.7+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Update test deps

 -- Nilesh Patra <nilesh@debian.org>  Mon, 30 May 2022 16:22:31 +0530

r-cran-tibble (3.1.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Drop d/p/disable-formattable-test.patch,
     r-cran-formattable is now available

 -- Dylan Aïssi <daissi@debian.org>  Sat, 07 May 2022 10:08:59 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-ellipsis (>= 0.3.2),
                r-cran-fansi,
                r-cran-lifecycle (>= 1.0.0),
                r-cran-magrittr,
-               r-cran-pillar (>= 1.6.2),
+               r-cran-pillar (>= 1.7.0),
                r-cran-pkgconfig,
-               r-cran-rlang (>= 0.4.3),
+               r-cran-rlang (>= 1.0.2),
                r-cran-vctrs (>= 0.3.8)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tibble
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tibble.git
 Homepage: https://cran.r-project.org/package=tibble

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-data.table, r-cran-rsqlite, r-cran-knitr, r-cran-dplyr (>= 1.0.7-1~), r-cran-withr, r-cran-mockr, r-cran-lubridate, r-cran-formattable
Restrictions: allow-stderr

## r-cran-tibble 3.2.1+dfsg

=== DESCRIPTION ===
Package: tibble
Title: Simple Data Frames
Version: 3.2.1
Authors@R: 
    c(person(given = "Kirill",
             family = "M\u00fcller",
             role = c("aut", "cre"),
             email = "kirill@cynkra.com",
             comment = c(ORCID = "0000-0002-1416-3412")),
      person(given = "Hadley",
             family = "Wickham",
             role = "aut",
             email = "hadley@rstudio.com"),
      person(given = "Romain",
             family = "Francois",
             role = "ctb",
             email = "romain@r-enthusiasts.com"),
      person(given = "Jennifer",
             family = "Bryan",
             role = "ctb",
             email = "jenny@rstudio.com"),
      person(given = "RStudio",
             role = c("cph", "fnd")))
Description: Provides a 'tbl_df' class (the 'tibble') with stricter checking and better formatting than the traditional
    data frame.
License: MIT + file LICENSE
URL: https://tibble.tidyverse.org/, https://github.com/tidyverse/tibble
BugReports: https://github.com/tidyverse/tibble/issues
Depends: R (>= 3.4.0)
Imports: fansi (>= 0.4.0), lifecycle (>= 1.0.0), magrittr, methods,
        pillar (>= 1.8.1), pkgconfig, rlang (>= 1.0.2), utils, vctrs
        (>= 0.4.2)
Suggests: bench, bit64, blob, brio, callr, cli, covr, crayon (>=
        1.3.4), DiagrammeR, dplyr, evaluate, formattable, ggplot2,
        here, hms, htmltools, knitr, lubridate, mockr, nycflights13,
        pkgbuild, pkgload, purrr, rmarkdown, stringi, testthat (>=
        3.0.2), tidyr, withr
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.2.3
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/testthat/start-first: vignette-formats, as_tibble, add,
        invariants
Config/autostyle/scope: line_breaks
Config/autostyle/strict: true
Config/autostyle/rmd: false
Config/Needs/website: tidyverse/tidytemplate
NeedsCompilation: yes
Packaged: 2023-03-19 09:23:10 UTC; kirill
Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
  Hadley Wickham [aut],
  Romain Francois [ctb],
  Jennifer Bryan [ctb],
  RStudio [cph, fnd]
Maintainer: Kirill Müller <kirill@cynkra.com>
Repository: CRAN
Date/Publication: 2023-03-20 06:30:02 UTC

=== debian/changelog ===
r-cran-tibble (3.2.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Cherry-picked patch from upstream to drop the use of r-cran-mockr.
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 21 Jan 2025 10:23:22 +0100

r-cran-tibble (3.2.1+dfsg-2) unstable; urgency=medium

  * Rebuild with r-graphics-engine set by r-base
    Closes: #1039884

 -- Andreas Tille <tille@debian.org>  Thu, 06 Jul 2023 09:02:39 +0200

r-cran-tibble (3.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 13 Jun 2023 12:40:34 +0200

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                r-cran-fansi,
                r-cran-lifecycle (>= 1.0.0),
                r-cran-magrittr,
-               r-cran-pillar (>= 1.7.0),
+               r-cran-pillar (>= 1.8.1),
                r-cran-pkgconfig,
                r-cran-rlang (>= 1.0.2),
-               r-cran-vctrs (>= 0.3.8)
-Standards-Version: 4.6.1
+               r-cran-vctrs (>= 0.4.2)
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tibble
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tibble.git
 Homepage: https://cran.r-project.org/package=tibble

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bench,
        r-cran-bit64,
        r-cran-blob,
        r-cran-brio,
        r-cran-callr,
        r-cran-cli,
        r-cran-covr,
        r-cran-crayon (>= 1.3.4),
        r-cran-diagrammer,
        r-cran-dplyr,
        r-cran-evaluate,
        r-cran-formattable,
        r-cran-ggplot2,
        r-cran-here,
        r-cran-hms,
        r-cran-htmltools,
        r-cran-knitr,
        r-cran-lubridate,
        r-cran-pkgbuild,
        r-cran-pkgload,
        r-cran-purrr,
        r-cran-rmarkdown,
        r-cran-stringi,
        r-cran-testthat (>= 3.0.2),
        r-cran-tidyr,
        r-cran-withr
Restrictions: allow-stderr

## r-cran-tibble 3.3.1+dfsg

=== DESCRIPTION ===
Package: tibble
Title: Simple Data Frames
Version: 3.3.1
Authors@R: c(
    person("Kirill", "Müller", , "kirill@cynkra.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-1416-3412")),
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = "aut"),
    person("Romain", "Francois", , "romain@r-enthusiasts.com", role = "ctb"),
    person("Jennifer", "Bryan", , "jenny@rstudio.com", role = "ctb"),
    person("Posit Software, PBC", role = c("cph", "fnd"),
           comment = c(ROR = "03wc8by49"))
  )
Description: Provides a 'tbl_df' class (the 'tibble') with stricter
    checking and better formatting than the traditional data frame.
License: MIT + file LICENSE
URL: https://tibble.tidyverse.org/, https://github.com/tidyverse/tibble
BugReports: https://github.com/tidyverse/tibble/issues
Depends: R (>= 3.4.0)
Imports: cli, lifecycle (>= 1.0.0), magrittr, methods, pillar (>=
        1.8.1), pkgconfig, rlang (>= 1.0.2), utils, vctrs (>= 0.5.0)
Suggests: bench, bit64, blob, brio, callr, DiagrammeR, dplyr, evaluate,
        formattable, ggplot2, here, hms, htmltools, knitr, lubridate,
        nycflights13, pkgload, purrr, rmarkdown, stringi, testthat (>=
        3.0.2), tidyr, withr
VignetteBuilder: knitr
Config/autostyle/rmd: false
Config/autostyle/scope: line_breaks
Config/autostyle/strict: true
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/testthat/start-first: vignette-formats, as_tibble, add,
        invariants
Config/usethis/last-upkeep: 2025-06-07
Encoding: UTF-8
RoxygenNote: 7.3.3.9000
NeedsCompilation: yes
Packaged: 2026-01-10 18:28:47 UTC; kirill
Author: Kirill Müller [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-1416-3412>),
  Hadley Wickham [aut],
  Romain Francois [ctb],
  Jennifer Bryan [ctb],
  Posit Software, PBC [cph, fnd] (ROR: <https://ror.org/03wc8by49>)
Maintainer: Kirill Müller <kirill@cynkra.com>
Repository: CRAN
Date/Publication: 2026-01-11 10:10:02 UTC

=== debian/changelog ===
r-cran-tibble (3.3.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Remove patch applied upstream.
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Sat, 14 Feb 2026 18:32:08 +0900

=== debian/control ===
Source: r-cran-tibble
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-cli,
 r-cran-lifecycle,
 r-cran-magrittr,
 r-cran-pillar,
 r-cran-pkgconfig,
 r-cran-rlang,
 r-cran-vctrs,
 r-cran-fansi,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tibble
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tibble.git
Homepage: https://cran.r-project.org/package=tibble
Rules-Requires-Root: no

Package: r-cran-tibble
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R Simple Data Frames
 This GNU R package provides a 'tbl_df' class that offers better checking
 and printing capabilities than traditional data frames.
 .
 Tibbles are a modern take on data frames. They keep the features that have
 stood the test of time, and drop the features that used to be convenient but
 are now frustrating (i.e. converting character vectors to factors).

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-bench,
 r-cran-bit64,
 r-cran-blob,
 r-cran-brio,
 r-cran-callr,
 r-cran-diagrammer,
 r-cran-dplyr,
 r-cran-evaluate,
 r-cran-formattable,
 r-cran-ggplot2,
 r-cran-here,
 r-cran-hms,
 r-cran-htmltools,
 r-cran-knitr,
 r-cran-lubridate,
 r-cran-pkgload,
 r-cran-purrr,
 r-cran-rmarkdown,
 r-cran-stringi,
 r-cran-testthat (>= 3.0.2),
 r-cran-tidyr,
 r-cran-withr,
 r-cran-cli,
 r-cran-covr,
 r-cran-crayon (>= 1.3.4),
 r-cran-pkgbuild,
